swh-plugins (0.4.17-3build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 Jan 2026 21:34:19 +0000

swh-plugins (0.4.17-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:21 +0200

swh-plugins (0.4.17-3) unstable; urgency=low

  * Team upload.
  * d/copyright: Use https protocol in Format field.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Change maintainer address to debian-multimedia@lists.debian.org.
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Bastian Germann <bage@debian.org>  Mon, 18 Sep 2023 16:01:07 +0200

swh-plugins (0.4.17-2) unstable; urgency=medium

  * Team upload.
  * Link gsm_1215.so plugin against system libgsm. (Closes: #859395)
  * Fix vocoder-ladspa Breaks/Replaces (replacing the faulty lmms
    Breaks/Replaces).

 -- James Cowgill <jcowgill@debian.org>  Mon, 03 Apr 2017 19:54:39 +0100

swh-plugins (0.4.17-1) unstable; urgency=medium

  * Exclude .gitignore file from upstream tarball.
  * New upstream version 0.4.17
  * Patches applied upstream.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 05 Nov 2016 05:47:12 +0100

swh-plugins (0.4.16+git20160602~repack1-2) unstable; urgency=medium

  * Use Breaks-Replace for lmms package containing vocoder plugin.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Jun 2016 14:13:13 +0200

swh-plugins (0.4.16+git20160602~repack1-1) unstable; urgency=medium

  * Remove gsm dir from orig tarball.
  * Introduce README.source file.
  * Add libgsm1-dev as build-dep.
  * Added patch to use system wide gsm.h
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Jun 2016 00:00:57 +0200

swh-plugins (0.4.16+git20160531~repack0-1) unstable; urgency=medium

  * New upstream release. (Closes: #824211)
  * Add patch to fix analoqueOsc. (Closes: #781997)
  * Add libxml-parser-perl as build-dep.
  * Bump Standards.
  * Fix VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Jun 2016 16:47:07 +0200

swh-plugins (0.4.15+1-8) unstable; urgency=medium

  * Bump Standards.
  * Enable parallel build.
  * Added patch to fix reproducible build. (Closes: #792424)
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Sep 2015 15:56:38 +0200

swh-plugins (0.4.15+1-7) unstable; urgency=low

  * Adopting this. Thanks to Patrick Matthäi for the
    great job. (Closes: #622162)
  * Bump debhelper requirement.
  * Turn it into dh short form + dh_autoreconf.
  * Enable git-buildpackage support.
  * Plugins shouldn't call setlocale() as it could screw up the locale
    settings of any application using them. Thanks to Daniel Gibson
    for the patch. (Closes: #672705)
  * Fix buffer overrun that causes explosions on little endian 64bit
    platforms. (Closes: #629263)
  * Don't remove po/*.gmo files in order to preserve upstream's original
    sources tree.
  * debian/patches/01-dont-use-march.diff:
    - Don't patch configure, it's going to be regenerated by autoreconf.
  * Refresh other patches.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Dec 2012 16:46:16 +0000

swh-plugins (0.4.15+1-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Set the maintainer to the Debian QA Group.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Apr 2011 18:16:21 +0200

swh-plugins (0.4.15+1-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 17:07:15 +0100

swh-plugins (0.4.15+1-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 01 Nov 2009 14:39:10 +0100

swh-plugins (0.4.15+1-3) unstable; urgency=low

  * Disable model specific 3dnow on amd64.
    Closes: #539202

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Jul 2009 09:45:49 +0200

swh-plugins (0.4.15+1-2) unstable; urgency=low

  * Mangle +1 in debian/watch.
  * Do not configure twice: touch configure-stamp.
  * Add again autoconf, automake1.9 and libtool build dependency.
  * Add patch 01-dont-use-march.dpatch which fixes a reopened FTBFS on most
    architectures.
    Closes: #539115
  * Add patch 02-fix-spelling-add-de.po.dpatch which reincludes the german
    translation.
  * Add 03-uptodate-ltmain.dpatch which updates ltmain.sh. Thanks lintian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2009 17:12:58 +0200

swh-plugins (0.4.15+1-1) unstable; urgency=low

  * Gettextize and autoreconf the source to fix several FTBFS and build an new
    tarball, because of the bloated diff. Now we can also drop libtool,
    automake1.9 and autoconf from the build dependencys.
  * Build with --enable-shared.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 28 Jul 2009 21:35:17 +0200

swh-plugins (0.4.15-3) unstable; urgency=low

  * New maintainer.
    Closes: #503497
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Tune the packaging a bit, use install file, drop useless debhelper calls
    and comments.
  * Add missing licenses informations.
    Closes: #532450
  * Build with --enable-sse and --enable-3dnow optimizations on amd64.
  * Remove rpaths from some librarys. Thanks lintian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Jul 2009 13:38:29 +0200

swh-plugins (0.4.15-2) unstable; urgency=low

  * QA upload.
  * Gettextize to remove bogus hardcoded stuff in libtool. (Closes: #526557).
    + Ugly solution as it balloons the diff.
  * Add build-dep on libxml2-utils.
  * Fix spelling of Display in all files. (Closes: #522375).
  * Add German po file. (Closes: #524440).
    + Thanks to Chris Leick.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 19 May 2009 15:51:30 -0400

swh-plugins (0.4.15-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Make clean not ignore errors.
  * Add missing comma to depends line in control.
  * Move doc-base section from audio to Sound.
    + Remove excess whitespace from doc-base.
  * Add proper Copyright holders to debian/copyright.
  * Fix changelog date format lines for 0.2.8-2, 0.2.8-3.
  * Add watch file.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 03 Feb 2009 10:37:41 -0500

swh-plugins (0.4.15-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * The "neither maintainer nor NMUer fixes their shit" upload
  * Fixes provided by Samuel Tardieu, thanks:
  - Stop using idiotic compiler options if you don't know the arch
    closes: #428371, #428435, #440329
  - build-depend libfftw3-dev instead of gone fftw3-dev, closes: #445795
  * Use homepage field

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 13 Apr 2008 21:21:13 +0300

swh-plugins (0.4.15-0.1) unstable; urgency=low

  * Non-Maintainer Upload
  * New upstream release (Closes :#324188)
  * Bumped Standards-Version to 3.7.2

 -- Free Ekanayaka <freee@debian.org>  Mon,  4 Jun 2007 23:42:38 +0200

swh-plugins (0.4.14-1.1) unstable; urgency=medium

  * Non-maintainer upload to fix Failure To Build From Source, due missing
    build-dependency on pkg-config.  Thanks to Daniel Schepler for the
    suggestion (Closes: #380147)

 -- Margarita Manterola <marga@debian.org>  Thu,  3 Aug 2006 18:23:07 -0300

swh-plugins (0.4.14-1) unstable; urgency=low

  * New upstream release
  * Update for C++ and gcc 4.x transitions (Closes: #300243)
  * Bump Standards-Version to 3.6.2.1

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 21 Sep 2005 01:11:27 +1000

swh-plugins (0.4.13-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sun,  6 Mar 2005 03:43:26 +1100

swh-plugins (0.4.12-1) unstable; urgency=low

  * New upstream release(s)
  * Update plugin documentation
  * This upgrade should fix the amd64 issue with _fini in the
    multiband equaliser (closes: #289804)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 15 Jan 2005 08:30:40 +1100

swh-plugins (0.4.7-1) unstable; urgency=medium

  * New upstream release
  * remove -fomit-frame-pointer; this will fix the m68k build (closes: #258237)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 19 Jul 2004 02:11:11 +1000

swh-plugins (0.4.4-2) unstable; urgency=low

  * Build-Dep on 'ed'. No, not the horse.

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 30 Jun 2004 02:49:51 +1000

swh-plugins (0.4.4-1) unstable; urgency=low

  * New upstream release
  * Now with gcc 3.4 goodness (closes: #244303)

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 29 Jun 2004 20:35:59 +1000

swh-plugins (0.4.3-4) unstable; urgency=medium

  * Respin build
  * Done only to get m68k to rebuild the package.

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 29 Feb 2004 23:07:10 +1100

swh-plugins (0.4.3-3) unstable; urgency=low

  * Respin the package and only build gverb-test on i386

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  2 Feb 2004 13:20:27 +1100

swh-plugins (0.4.3-2) unstable; urgency=low

  * Correct documentation file for doc-base (Cloases: #229855)

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 29 Jan 2004 09:28:47 +1100

swh-plugins (0.4.3-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 26 Jan 2004 21:27:15 +1100

swh-plugins (0.4.2-5) unstable; urgency=low

  * Seems I must depend upon libtool now too.

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 28 Sep 2003 19:39:16 +1000

swh-plugins (0.4.2-4) unstable; urgency=low

  * gverb-test uses i386 specific time stamp counting. Instead use
  gettimeofday on other architectures as the file isn't critical and
  isn't installed. This should get us into testing.
  Thanks to Robert Jordens for prodding me about this (Closes: #200576)

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 28 Sep 2003 18:51:44 +1000

swh-plugins (0.4.2-3) unstable; urgency=low

  * fftw3-dev fixes the bug, so remove my attempted workaround

 -- Anand Kumria <wildfire@progsoc.org>  Tue,  8 Jul 2003 02:04:57 +1000

swh-plugins (0.4.2-2) unstable; urgency=low

  * Workaround bug in fftw3-dev (Bug: #197637) by depending upon
    pkg-config so we can build

 -- Anand Kumria <wildfire@progsoc.org>  Tue,  1 Jul 2003 00:18:51 +1000

swh-plugins (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sun,  8 Jun 2003 16:05:55 +1000

swh-plugins (0.4.0-2) unstable; urgency=low

  * Changes required by GCC 3.3 (Closes: #194162)
  * Bump to 3.5.10

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 24 May 2003 13:43:24 +1000

swh-plugins (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 16 Apr 2003 04:54:22 +1000

swh-plugins (0.3.7-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 23 Mar 2003 13:42:03 +1100

swh-plugins (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Revert to upstream's config.guess / config.sub, let's see if they
    are good enough for mips/mipsel

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 13 Jan 2003 01:52:16 +1100

swh-plugins (0.3.4-1) unstable; urgency=low

  * New upstream release
  * gcc 3.2 transition done (Closes: #163336)

 -- Anand Kumria <wildfire@progsoc.org>  Fri, 10 Jan 2003 19:40:58 +1100

swh-plugins (0.3.3-2) unstable; urgency=low

  * Remove, again, the CPU specific tests in configure

 -- Anand Kumria <wildfire@progsoc.org>  Sun,  8 Dec 2002 01:02:58 +1100

swh-plugins (0.3.3-1) unstable; urgency=low

  * New upstream release (Closes: #169212)
  * Update config.guess/config.sub
  * Use gcc to link (Closes: #134055, #154080)

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  7 Dec 2002 18:45:42 +1100

swh-plugins (0.2.8-3) unstable; urgency=low

  * Opps, sign the uploads. Dammit.

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 24 Jul 2002 03:09:18 +1000

swh-plugins (0.2.8-2) unstable; urgency=low

  * Remove the CPU specific tests in configure that might have been hindering
    compilation on other architectures.

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 24 Jul 2002 01:41:16 +1000

swh-plugins (0.2.8-1) unstable; urgency=low

  * Many (many) new upstream releases. (Closes: #142002)
  * Learn to speel. (Closes: #125404)
  * Be specifice about which Fast Fourier Transforms we want (single or
    double). (Closes: #128774)
  * Newer version of triplepara (and other plugins) work. (Closes: #133582)

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 23 Jul 2002 14:28:51 +1000

swh-plugins (0.2.0-2) unstable; urgency=low

  * Don't compile things that are architecture specific (i.e. -march=sparc64)

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 26 Aug 2001 17:09:28 +1000

swh-plugins (0.2.0-1) unstable; urgency=low

  * New upstream version
  * Never released the one below
  * All three build problems are because make considers either Makefile.in
  or Makefile.am, configure.in and aclocal.m4 newer than Makefile. I suspect
  a build environment problem on m68k since that was the only architecture
  that report this. (Closes: #102754, #102768, #104065)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 25 Aug 2001 23:57:34 +1000

swh-plugins (0.1.14-1) unstable; urgency=low

  * New upstream version
  * Head off Lamont Jones, porter from Hell, by incorporating
    newer config.sub and config.guess

 -- Anand Kumria <wildfire@progsoc.org>  Sun,  5 Aug 2001 02:59:01 +1000

swh-plugins (0.1.13-2) unstable; urgency=low

  * Remove Intel specific CPU tests in configure (Closes: #101991)

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 24 Jun 2001 07:36:13 +1000

swh-plugins (0.1.13-1) unstable; urgency=low

  * Initial Release.

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 21 Jun 2001 02:29:08 +1000
